{
  "name": "ts-for-gir-node-gtk-3-hello-example",
  "version": "3.2.6",
  "description": "",
  "main": "dist/main.js",
  "private": true,
  "scripts": {
    "build": "yarn build:types && yarn build:app",
    "build:app": "yarn clear:ts && webpack --env production",
    "build:types": "yarn ts-for-gir generate Gtk-3.0 -e node --noNamespace -t cjs",
    "clear:types": "rm -rf ./@types",
    "clear:ts": "rm -rf ./dist",
    "clear": "yarn clear:ts && yarn clear:types",
    "start": "yarn clear && yarn build && yarn start:app",
    "start:app": "yarn node dist/main.js",
    "watch": "yarn build:app --watch",
    "validate": "yarn validate:types && yarn validate:app",
    "validate:types": "tsc --project tsconfig.types.json",
    "validate:app": "tsc --noEmit",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "",
  "license": "Apache-2.0",
  "engines": {
    "node": ">=16"
  },
  "devDependencies": {
    "@ts-for-gir/cli": "workspace:^",
    "@types/node": "^20.10.0",
    "fork-ts-checker-webpack-plugin": "^9.0.2",
    "raw-loader": "^4.0.2",
    "ts-loader": "^9.5.1",
    "typescript": "5.2.2",
    "webpack": "^5.89.0",
    "webpack-cli": "^5.1.4",
    "webpack-node-externals": "^3.0.0"
  },
  "dependencies": {
    "node-gtk": "^0.12.0"
  }
}
